import request from '@/utils/request'

// 企查查 886接口
export function getBankAccountInfo(params) {
  return request({
    url: '/creditInfo/getBusinessByKeyWord',
    method: 'get',
    params
  })
}

// 会员账户管理 -- 获取列表
export function queryMemberList(params) {
  return request({
    url: '/bocomVipAccount/list',
    method: 'get',
    params
  })
}

// 会员账户管理 -- 获取详情
export function queryMemberDetails(params) {
  return request({
    url: '/bocomVipAccount/getDetail',
    method: 'get',
    params
  })
}

// 会员账户管理 -- 重置授权二维码
export function resetAuthCode(params) {
  return request({
    url: '/bocomVipAccount/resetUrl',
    method: 'get',
    params
  })
}

// 会员账户管理 -- 修改绑定实体卡信息
export function updateBindCardInfo(data) {
  return request({
    url: '/bocomVipAccount/updateBindAccount',
    method: 'post',
    data
  })
}

// 会员账户管理 -- 重设入金激活金额
export function resetActivateAmount(params) {
  return request({
    url: '/bocomVipAccount/resetActvtAmt',
    method: 'get',
    params
  })
}
// 会员账户管理 -- 新增会员登记薄
export function addMemberRegister(params) {
  return request({
    url: '/bocomVipAccount/doAdd',
    method: 'get',
    params
  })
}

// 会员账户管理 -- 修改会员登记薄
export function updateMemberRegister(data) {
  return request({
    url: '/bocomVipAccount/doUpdate',
    method: 'post',
    data
  })
}

// 会员账户管理 -- 刷新会员登记薄
export function refreshMemberRegister(params) {
  return request({
    url: '/bocomVipAccount/refreshBocomVipBasic',
    method: 'get',
    params
  })
}
